| Home | Libraries | People | FAQ | More

##### formattable_ref::formattable_ref

Constructor.

###### Synopsis

    template<
        class Formattable>
    formattable_ref(
        Formattable&& value);

###### Description

Constructs a type-erased formattable reference from a concrete `Formattable` type.

This constructor participates in overload resolution only if the passed value meets the `Formattable` concept and is not a `formattable_ref` or a reference to one.

###### Exception safety

No-throw guarantee.

###### Object lifetimes

value is potentially stored as a view, although some cheap-to-copy types may be stored as values.